package com.ynet.life.security.crypto;

import java.security.Security;
import java.security.spec.KeySpec;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.SecretKeySpec;
import org.apache.commons.codec.binary.Base64;
import org.bouncycastle.jce.provider.BouncyCastleProvider;

/* loaded from: com_ynet_life_security_crypto.jar:com/ynet/life/security/crypto/SymmetricCryptoHelper.class */
public class SymmetricCryptoHelper {
    private static final String KEY_ALGORITHM = "AES";
    private static final String CIPHER_ALGORITHM = "PBKDF2WithHmacSHA1";
    private static final String CIPHER_PADDING = "AES/CTR/PKCS5Padding";
    private static final int KEY_SIZE = 128;

    static {
        try {
            if (Security.getProvider("BC") != null) {
                return;
            }
            Security.addProvider(new BouncyCastleProvider());
        } catch (Exception ex) {
            System.err.println("Cannot load security provider: BC \n" + ex.getMessage());
        }
    }

    public static String encryptData(String aKey, String aEncryptingData) throws Exception {
        if (aKey == null || aEncryptingData == null) {
            return null;
        }
        byte[] salt = {101, 43, 115, 117, 37, 42, 52, 79};
        byte[] iv = {56, 55, 54, 53, 52, 51, 50, 49, 56, 55, 54, 53, 52, 51, 50, 49};
        SecretKeyFactory factory = SecretKeyFactory.getInstance(CIPHER_ALGORITHM);
        KeySpec spec = new PBEKeySpec(aKey.toCharArray(), salt, 1024, KEY_SIZE);
        SecretKey key = new SecretKeySpec(factory.generateSecret(spec).getEncoded(), KEY_ALGORITHM);
        Cipher cipher = Cipher.getInstance(CIPHER_PADDING, "BC");
        cipher.init(1, key, new IvParameterSpec(iv));
        byte[] encryptedData = cipher.doFinal(aEncryptingData.getBytes());
        return new String(Base64.encodeBase64(encryptedData), "UTF-8");
    }

    public static String decryptData(String aKey, String aDecryptingData) throws Exception {
        if (aKey == null || aDecryptingData == null) {
            return null;
        }
        byte[] salt = {101, 43, 115, 117, 37, 42, 52, 79};
        byte[] iv = {56, 55, 54, 53, 52, 51, 50, 49, 56, 55, 54, 53, 52, 51, 50, 49};
        SecretKeyFactory factory = SecretKeyFactory.getInstance(CIPHER_ALGORITHM);
        KeySpec spec = new PBEKeySpec(aKey.toCharArray(), salt, 1024, KEY_SIZE);
        SecretKey key = new SecretKeySpec(factory.generateSecret(spec).getEncoded(), KEY_ALGORITHM);
        Cipher cipher = Cipher.getInstance(CIPHER_PADDING, "BC");
        cipher.init(2, key, new IvParameterSpec(iv));
        byte[] decryptedData = cipher.doFinal(Base64.decodeBase64(aDecryptingData.getBytes("UTF-8")));
        return new String(decryptedData);
    }

    public static String decryptDataFromExternal(String aKey, String aDecryptingData) throws Exception {
        return null;
    }

    /* JADX WARN: Type inference failed for: r0v9, types: [java.io.PrintStream, java.lang.Exception] */
    public static void main(String[] args) {
        ?? r0;
        try {
            System.out.println("plainedText: \n".concat(String.valueOf("hello world!")));
            String encryptedText = encryptData("Life", "hello world!");
            System.out.println("encryptedText: \n".concat(String.valueOf(encryptedText)));
            String decryptedText = decryptData("Life", encryptedText);
            r0 = System.out;
            r0.println("decryptedText: \n".concat(String.valueOf(decryptedText)));
        } catch (Exception e) {
            r0.printStackTrace();
        }
    }
}
